curl --request GET \
--url https://api.gcore.com/cdn/aliases \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cdn/aliases"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/aliases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 123,
"cname": "shop.customer.com",
"resource_id": 4567,
"automated": true,
"ssl_id": 890,
"active": true,
"enabled": true,
"status": "pending",
"created": "2026-09-01T10:00:00Z",
"updated": "2026-09-01T10:00:00Z"
}
]
}Get aliases list
Get information about aliases.
The response is always paginated.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
CDN resource ID. Only aliases of this CDN resource are returned.
Comma-separated list of CDN resource IDs.
Alias status. Alias status.
Possible values:
- pending – The certificate has not been issued yet; the alias is not served.
- active – The alias is served with its certificate.
ssl_issuing– A new certificate is being issued; the current one keeps being served.ssl_error– Certificate issuance failed; a previously issued certificate keeps being served.- inactive – The alias or its CDN resource is disabled; the alias is not served.
pending, active, ssl_issuing, ssl_error, inactive "active"
Comma-separated list of alias statuses.
How the alias certificate is managed.
Possible values:
- true – Certificate is issued and renewed automatically.
- false – Certificate was added by a user.
SSL certificate ID. Only aliases linked to this certificate are returned.
Hostname substring, case-insensitive.
Hostname prefix, case-insensitive.
Hostname suffix, case-insensitive.
Search by alias ID or hostname.
Field to sort by. Prefix with - for descending order.
Possible values: id, cname, status, created, updated, resource_id.
Maximum number of items to return in the response. Cannot exceed 1000.
1 <= x <= 1000Number of items to skip from the beginning of the list.
x >= 0Response
Successful.
Total number of items.
URL to the next page of results. Null if current page is the last one.
URL to the previous page of results. Null if current page is the first one.
List of items on the current page.
Show child attributes
Show child attributes
Was this page helpful?